package com.inspect.patrol.mapper;

import com.inspect.patrol.domain.PatrolVideotape;
import com.inspect.patrol.domain.PatrolVideotapeListModel;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface PatrolVideotapeMapper {
    PatrolVideotape selectPatrolVideotapeByVideotapeId(Long id);

    List<PatrolVideotape> selectPatrolVideotapeList(PatrolVideotapeListModel listModel);

    int insertPatrolVideotape(PatrolVideotape videotape);

    int updatePatrolVideotape(PatrolVideotape videotape);

    int deletePatrolVideotapeByVideotapeId(Long id);

    int deletePatrolVideotapeByVideotapeIds(Long[] ids);

    int deletePatrolPresetPosByPresetPosIds(Long[] ids);

    int deletePatrolVideoPresetPosByPresetPosIds(Long[] ids);
}
